Get FHIR provider by ID

GET/fhir-provider/{fhir_provider_id}

Retrieves a specific FHIR provider configuration by its ID.

Sandbox providers return FhirProviderSandboxInfo. On shared instances, only sandbox providers can be accessed.

RequiresBearerauthentication

Path parameters

fhir_provider_idstringrequired

ID of the FHIR provider to retrieve

Returns  

FHIR provider retrieved successfully

Response fields

successbooleanoptional
messagestringoptional
dataoneOfoptional

Provider details. Sandbox providers return FhirProviderSandboxInfo.

GETRequest
# Get authentication token
PHENOML_TOKEN=$(curl -X POST "https://experiment.app.pheno.ml/v2/auth/token" \
  -u "$PHENOML_CLIENT_ID:$PHENOML_CLIENT_SECRET" \
  | jq -r '.access_token')

curl -X GET "https://experiment.app.pheno.ml/fhir-provider/{fhir_provider_id}" \
  -H "Authorization: Bearer $PHENOML_TOKEN"
200 OKExample Response
{
  "success": true,
  "message": "Fhir provider retrieved successfully",
  "data": {
    "id": "1716d214-de93-43a4-aa6b-a878d864e2ad",
    "name": "Epic Sandbox",
    "description": "Epic sandbox environment for testing",
    "provider": "epic",
    "base_url": "https://fhir.epic.com/interconnect-fhir-oauth/api/FHIR/R4",
    "auth_configs": {
      "auth-config-123": {
        "auth_config_id": "auth-config-123",
        "auth_method": "jwt",
        "is_active_auth_config": true,
        "created_at": "2024-01-15T10:30:00Z",
        "updated_at": "2024-01-15T14:45:00Z",
        "scopes": "system/Patient.read system/Observation.read",
        "client_id": "your-client-id"
      }
    },
    "last_updated": "2024-01-15T14:45:00Z"
  }
}